import { GroupDataSourceType } from "../../cGroupManage-setter/type";
import { t } from "../../../../src/locale";
import { GroupAnimationType, StorageDataBType, StorageLocalType } from "../type";
function getComSelectList() {
  return [{
    label: "Yes",
    value: 1
  }, {
    label: "No",
    value: 0
  }];
}
var OperateEnumType = /*#__PURE__*/function (OperateEnumType) {
  OperateEnumType["Dialog"] = "dialog";
  OperateEnumType["ToLink"] = "toLink";
  OperateEnumType["Tip"] = "tip";
  OperateEnumType["Group"] = "group";
  OperateEnumType["Video"] = "Video";
  OperateEnumType["Telegram"] = "telegram";
  OperateEnumType["RotateWheel"] = "rotateWheel";
  OperateEnumType["Animation"] = "animation";
  OperateEnumType["Carousel"] = "carousel";
  return OperateEnumType;
}(OperateEnumType || {});
function getComOpenActiveList() {
  return [{
    label: t('setter.OperateEnumDialog'),
    value: OperateEnumType.Dialog
  }, {
    label: t('setter.OperateEnumToLink'),
    value: OperateEnumType.ToLink
  }, {
    label: t('setter.OperateEnumTip'),
    value: OperateEnumType.Tip
  }, {
    label: t('setter.OperateEnumGroup'),
    value: OperateEnumType.Group
  }, {
    label: t('setter.OperateEnumVideo'),
    value: OperateEnumType.Video
  }, {
    label: t('setter.OperateEnumTelegram'),
    value: OperateEnumType.Telegram
  }, {
    label: t('setter.OperateEnumRotateWheel'),
    value: OperateEnumType.RotateWheel
  }, {
    label: t('setter.OperateEnumAnimation'),
    value: OperateEnumType.Animation
  }, {
    label: t('setter.OperateEnumCarousel'),
    value: OperateEnumType.Carousel
  }];
}
function getComCloseActiveList() {
  return [{
    label: t('setter.OperateEnumDialog'),
    value: OperateEnumType.Dialog
  }, {
    label: t('setter.OperateEnumRotateWheel'),
    value: OperateEnumType.RotateWheel
  }, {
    label: t('setter.OperateEnumGroup'),
    value: OperateEnumType.Group
  }, {
    label: t('setter.OperateEnumAnimation'),
    value: OperateEnumType.Animation
  }, {
    label: t('setter.OperateEnumCarousel'),
    value: OperateEnumType.Carousel
  }];
}
function getSaveDataBehaviorTypeList() {
  return [{
    label: t('setter.saveTypeLocal'),
    value: StorageDataBType.Local
  }
  // {
  //     label: t('setter.saveTypeOnLine'),
  //     value: StorageDataBType.OnLine,
  // }
  ];
}
function getSaveLocalTypeList() {
  return [{
    label: t('setter.saveLocalLocalStorage'),
    value: StorageLocalType.LocalStorage
  }, {
    label: t('setter.saveLocalSessionStorage'),
    value: StorageLocalType.SessionStorage
  }];
}
function getGroupTypeOptionList() {
  return [{
    label: t('setter.groupSelectDefault'),
    value: GroupDataSourceType["default"]
  }, {
    label: t('setter.groupSelectCustom'),
    value: GroupDataSourceType.custom
  }];
}
function getGroupAnimationOptionList() {
  return [{
    label: t('setter.groupVariableSpeed'),
    value: GroupAnimationType.variableSpeed
  }, {
    label: t('setter.groupConstantSpeed'),
    value: GroupAnimationType.constantSpeed
  }];
}
function getGroupCloseAnimationOptionList() {
  return [{
    label: t('setter.groupImmediatelyOver'),
    value: GroupAnimationType.immediatelyOver
  }, {
    label: t('setter.groupSlowOver'),
    value: GroupAnimationType.slowOver
  }];
}
function getEncryptionOptionsList() {
  return [{
    label: t('setter.encryptionDefault'),
    value: 'default'
  }, {
    label: t('setter.encryptionMd5'),
    value: 'md5'
  }];
}
export { OperateEnumType, getComSelectList, getComOpenActiveList, getComCloseActiveList, getSaveDataBehaviorTypeList, getSaveLocalTypeList, getEncryptionOptionsList, getGroupTypeOptionList, getGroupAnimationOptionList, getGroupCloseAnimationOptionList };